'use strict'
var __createBinding =
	(this && this.__createBinding) ||
	(Object.create
		? function (o, m, k, k2) {
				if (k2 === undefined) k2 = k
				Object.defineProperty(o, k2, {
					enumerable: true,
					get: function () {
						return m[k]
					},
				})
		  }
		: function (o, m, k, k2) {
				if (k2 === undefined) k2 = k
				o[k2] = m[k]
		  })
var __setModuleDefault =
	(this && this.__setModuleDefault) ||
	(Object.create
		? function (o, v) {
				Object.defineProperty(o, 'default', { enumerable: true, value: v })
		  }
		: function (o, v) {
				o['default'] = v
		  })
var __importStar =
	(this && this.__importStar) ||
	function (mod) {
		if (mod && mod.__esModule) return mod
		var result = {}
		if (mod != null)
			for (var k in mod)
				if (k !== 'default' && Object.hasOwnProperty.call(mod, k))
					__createBinding(result, mod, k)
		__setModuleDefault(result, mod)
		return result
	}
var __importDefault =
	(this && this.__importDefault) ||
	function (mod) {
		return mod && mod.__esModule ? mod : { default: mod }
	}
Object.defineProperty(exports, '__esModule', { value: true })
const get_cli_arg_1 = __importDefault(require('get-cli-arg'))
const index_js_1 = require('./index.js')
const color = __importStar(require('./color.js'))
async function bin() {
	try {
		const details = await index_js_1.make()
		if (details.success) {
			console.log(
				color.success(
					'make-deno-edition: SUCCESS! The deno edition was created successfully, without any errors.'
				)
			)
			index_js_1.inform(details, !get_cli_arg_1.default('attempt'))
		} else if (get_cli_arg_1.default('attempt')) {
			// ignore failure
			console.log(color.special('make-deno-edition: OK!'))
			console.log(
				'The optional deno edition could not be created.\n' +
					'For details, run make-deno-edition without the --attempt flag.'
			)
		} else {
			console.log(
				color.error(
					'make-deno-edition: FAILURE! Unable to make the deno edition.'
				)
			)
			index_js_1.inform(details, true)
			process.exitCode = 1
		}
	} catch (err) {
		console.log(
			color.error(
				'make-deno-edition: UNEXEPCTED FAILURE! Unable to make the deno edition, due to this unexpected error:'
			)
		)
		console.log(color.inspect(err))
		process.exitCode = 1
	}
}
bin()
